### Function

# GLib Array remove_range

since: 2.4

#### Declaration [src]

    GArray*
    g_array_remove_range (
      GArray* array,
      guint index_,
      guint length
    )

#### Description [src]

Removes the given number of elements starting at the given index from a `GArray`. The following elements are moved to close the gap.

Available since: 2.4

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the first element to remove.

`length`

  Type: `guint`

  The number of elements to remove.

#### Return value

Type: An array of `gpointer`

The `GArray`.

The data is owned by the called function.